summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks')
-rw-r--r--kde-frameworks/qqc2-desktop-style/Manifest1
-rw-r--r--kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.107.0.ebuild29
2 files changed, 30 insertions, 0 deletions
diff --git a/kde-frameworks/qqc2-desktop-style/Manifest b/kde-frameworks/qqc2-desktop-style/Manifest
index 04dd317472fb..40eb9540aea4 100644
--- a/kde-frameworks/qqc2-desktop-style/Manifest
+++ b/kde-frameworks/qqc2-desktop-style/Manifest
@@ -1,2 +1,3 @@
DIST qqc2-desktop-style-5.104.0.tar.xz 69032 BLAKE2B 4723a643ee5471e320902290dd0a3c64d885f0981f16139da8f0a89a044851092b55357a6520432414165287a5a9b5427e19898a6c04337a6d0428e482eb09bc SHA512 fb717940cadd42d31a2f7c5721fdf08831d9d27f5839d3c08b34029827a6d3098a9daff0799b7a7cb1f35e715418b46962b48c5d12949b4c080ee2beda0643ce
DIST qqc2-desktop-style-5.106.0.tar.xz 69436 BLAKE2B b3334b5b252557ec8faf31dd56e8bb393f2543526746d0eb89866348aeabe4500307c9525532a954a3ecdf92b61aecc468c3d70d8f28d6a76049e0b84cae1a22 SHA512 094177670b0e38a4a6e02307826d2d8980d04e92df5136f69d1b396f71f32e219c545b308d7266b38821b7e834029cbdc69898f003a686bf88125b3499996a28
+DIST qqc2-desktop-style-5.107.0.tar.xz 69424 BLAKE2B e6a2ebd28bdb6412fccfc473a6cfc7bd8b47ba26323e24eb73ce953ae1bd2f89116463e04b0ffecc702fc8f2d5ef2f4250e29df8e9b70b2c3eb0398cc2ae6eb8 SHA512 5700a0d16a21b13f0985edb40be72e7915d458d1bb423afd83637ffb216f17a9dc5e4acc3fc628c34e48d3bde7dbd72c06065d31ddd5893aedd9d0f45eb77539
diff --git a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.107.0.ebuild b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.107.0.ebuild
new file mode 100644
index 000000000000..d09d20349eae
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-5.107.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_QTHELP="false"
+PVCUT=$(ver_cut 1-2)
+QTMIN=5.15.9
+inherit ecm frameworks.kde.org
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for painting"
+
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+DEPEND="
+ >=dev-qt/qtdeclarative-${QTMIN}:5=
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ =kde-frameworks/kconfigwidgets-${PVCUT}*:5
+ =kde-frameworks/kiconthemes-${PVCUT}*:5
+ =kde-frameworks/kirigami-${PVCUT}*:5
+ =kde-frameworks/sonnet-${PVCUT}*:5[qml]
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qtgraphicaleffects-${QTMIN}:5
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+"